package com.example.shawarma.data.db.models

import androidx.room.ColumnInfo
import androidx.room.Entity

@Entity(tableName = "order_product", primaryKeys = ["order_id", "product_id"])
data class OrderProductModel(
    @ColumnInfo(name = "order_id", index = true)
    var orderId: Int,
    @ColumnInfo(name = "product_id", index = true)
    var productId: Int,
    @ColumnInfo(name = "quantity")
    var quantity: Int,
    @ColumnInfo(name = "total_price")
    var totalPrice: Int
)
