package com.example.shawarma.data.api.repos

import com.example.shawarma.data.api.MyServerService
import com.example.shawarma.data.api.models.OrderProductRemote
import javax.inject.Inject

class RestOrderProductRepository @Inject constructor(
    private val service: MyServerService
) {
    suspend fun insertOrderProduct(token: String, orderProduct: OrderProductRemote) {
        service.insertOrderProduct(orderProduct, token)
    }

    suspend fun updateOrderProduct(token: String, orderProduct: OrderProductRemote) {
        service.updateOrderProduct(orderProduct, token)
    }

    suspend fun deleteOrderProduct(token: String, orderProduct: OrderProductRemote) {
        service.deleteOrderProduct(orderProduct, token)
    }
}