package com.example.shawarma.data.db.models

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

@Entity(
    tableName = "orders"
)
data class OrderModel(
    @PrimaryKey(autoGenerate = true)
    @ColumnInfo(name = "id")
    val id: Int?,
    @ColumnInfo(name = "order_status")
    var status: String,
    @ColumnInfo(name = "user_id", index = true)
    val userId: Int?,
    @ColumnInfo(name = "date")
    val date: String
)


