package com.example.shawarma.data.db.models

import androidx.room.Embedded
import androidx.room.Relation

data class OrderWithProducts(
    @Embedded
    val order: OrderModel,
    @Relation(entity = OrderProductModel::class, parentColumn = "id", entityColumn = "order_id")
    val orderWithProducts: List<OrderProductModelWithProduct>
)
